#ifndef __DATA_HEADER
#define __DATA_HEADER


#include <config.h>


/*
 * initializes all data
 */
void
data_init ();


/*
 * removes all data
 */
void
data_done ();


/*
 * iterator for the vars
 */
struct var_it
{
  char *name;
  struct sl *var;
  struct hash_it *it;
};


/*
 * iterates the var list
 */
int
var_iterate (struct var_it **it);


/*
 * stops an iteration
 */
void
var_it_stop (struct var_it **it);


/*
 * returns the string list of a variable
 */
struct sl *
var_get (const char *var);


/*
 * iterator for the scripts
 */
struct script_it
{
  char *name;
  char *script;
  struct hash_it *it;
};


/*
 * iterates the script list
 */
int
script_iterate (struct script_it **it);


/*
 * stops an iteration
 */
void
script_it_stop (struct script_it **it);


/*
 * returns the script of the specified name
 */
char *
script_get (const char *name);


/*
 * loads the script of the specified name
 */
void
script_put (const char *name, const char *script);


#endif
