#ifndef __EVENT_HEADER
#define __EVENT_HEADER


#include <config.h>
#include <time.h>


/*
 * says whether a reload is needed
 */
extern int need_reload;


/*
 * reacts on an event
 */
void
event (char *ev);


/*
 * reacts on a new IRC server connection
 */
void
event_start (const char *nick, const char *server);


/*
 * reacts on a closed IRC server connection
 */
void
event_quit ();


/*
 * reacts on a new line from the IRC server
 */
void
event_irc (const char *line);


/*
 * reacts on a changed system time
 */
void
event_timer (time_t time);


/*
 * reacts on interrupt
 */
void
event_int ();


#endif
