#ifndef __IO_HEADER
#define __IO_HEADER


#include <config.h>


/*
 * current internal log file
 */
extern char *log_file;


/*
 * modes of the log file
 */
enum log_mode_t {L_QUIET, L_ERROR, L_NORMAL, L_DETAILED};


/*
 * current mode of the log file
 */
extern enum log_mode_t log_mode;


/*
 * main loop
 */
void
run ();


/*
 * prints a line into the log
 */
void
print2log (const char *filename, const char *format, ...);


/*
 * prints a line into the internal log
 */
void
print2ilog (enum log_mode_t mode, const char *format, ...);


/*
 * sends a line to the socket
 */
void
print2sock (const char *format, ...);


/*
 * writes a file
 */
void
writefile (const char *filename, struct sl *lines);


/*
 * reads a file
 */
char *
readfile (const char *filename);


/*
 * reads a URL
 */
char *
readurl (const char *url);


/*
 * closes connections to server
 */
void
conn_close ();


#endif
