#ifndef __PARSE_HEADER
#define __PARSE_HEADER


#include <config.h>


/*
 * the types of a parsed value  (= first character of the parse result)
 */
#define P_END     000
#define P_INCLUDE 'I'
#define P_VAR     'V'
#define P_EVENT   'E'
#define P_CONTENT 'C'
#define P_DOLLAR  '$'


/*
 * the type of number used in math mode
 */
typedef signed long pm_number;


/*
 * parses a string in math mode
 */
pm_number
parse_math (char **script, char ch_close, int fast);


/*
 * parses a string
 * appends the result to *result
 */
void
parse_string (char **script, char **result, int sub, int fast);


/*
 * replaces the special characters of str with escape sequences
 */
void
quote (const char *str, char **result);


/*
 * goes to the next instruction ans returns the type of it
 */
char
parse_type (char **script, int parse_dollar);


/*
 * gets the next instruction
 */
void
parse_next (char **script, char **result);


/*
 * skips the next instruction
 */
void
parse_skip (char **script);


/*
 * gets the next word
 */
int
parse_word (char **line, char **result);


/*
 * gets the next element of a comma separated list
 */
int
parse_list (char **list, char **result);


#endif
